<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$order = ($_GET['order']) ? $_GET['order'] : 'ASC';
$orderby = ($_GET['orderby']) ? $_GET['orderby'] : 'menu_order';
$loop = new WP_Query(array(
	//'posts_per_page' => 3,
	'post_type' => 'dynamic_cta_type',
	'orderby' => $orderby,
	'order' => $order
));
?>
<div class="wrap">
	<h1>
		<image src="<?php echo plugins_url( 'image/logoDynamicCTA-Full.png', __FILE__ );?>" style="width: 200px; vertical-align: bottom;"></image>
		<?php if ($loop->post_count < 3){?>
			<a href="<?php echo esc_url( admin_url( '/' ) ); ?>/post-new.php?post_type=dynamic_cta_type" class="page-title-action"><?php echo __('Add New', 'dynamic-ctas');?></a>
		<?php }else{ echo '<br><br>'.__('You reached the maximum allowed of CTA for free version.<br>Move forward and get Starter or Professional version and create all CTA that you need.', 'dynamic-ctas');}?>
	</h1>

	<table class="wp-list-table widefat fixed striped posts">
		<thead>
		<tr>
			<th style="vertical-align: top;">
				<table class="wp-list-table widefat fixed striped posts">
					<thead>
					<tr>
						<td id="cb" class="manage-column column-cb check-column"><label class="screen-reader-text"
						                                                                for="cb-select-all-1">Select
								All</label><input id="cb-select-all-1" type="checkbox"></td>
						<th scope="col" id="title" class="manage-column column-title column-primary sortable desc"><a
								href="<?php echo esc_url( admin_url( '/' ) ); ?>/admin.php?page=dynamic_cta_page&orderby=title&order=<?php echo ($order == 'ASC') ? 'DESC' : 'ASC';?>"><span><?php echo __('URL or Term', 'dynamic-ctas');?></span><span
									class="sorting-indicator"></span></a></th>
						<th scope="col" id="menu_order" class="manage-column column-menu_order sortable desc"><a
								href="<?php echo esc_url( admin_url( '/' ) ); ?>/admin.php?page=dynamic_cta_page&orderby=menu_order&order=<?php echo ($order == 'ASC') ? 'DESC' : 'ASC';?>"><span><?php echo __('Order', 'dynamic-ctas');?></span><span
									class="sorting-indicator"></span></a></th>
					</tr>
					</thead>

					<tbody id="the-list">
					<?php
					$count = 0;
					while ( $loop->have_posts() ) : if ($count++ > 2) break; $loop->the_post(); ?>
						<tr id="post-4"
						    class="iedit author-self level-0 post-4 type-dynamic_cta_type status-publish hentry taxonomy_dynamicCTA-fluxo-1 taxonomy_dynamicCTA-fluxo-2">
							<th scope="row" class="check-column"><label class="screen-reader-text" for="cb-select-4">Select
									teste</label>
								<input id="cb-select-4" type="checkbox" name="post[]" value="4">
								<div class="locked-indicator"></div>
							</th>
							<td class="title column-title has-row-actions column-primary page-title" data-colname="Title"><strong><a
										class="row-title"
										href="<?php echo esc_url( admin_url( '/' ) ); ?>/post.php?post=<?php echo get_the_ID();?>&action=edit"
										title="Edit “teste”"><?php the_title();?></a></strong>
								<div class="locked-info"><span class="locked-avatar"></span> <span class="locked-text"></span></div>


								<div class="row-actions"><span class="edit"><a
											href="<?php echo esc_url( admin_url( '/' ) ); ?>/post.php?post=<?php echo get_the_ID();?>&action=edit"
											title="Edit this item">Edit</a> | </span><span
										class="trash">
							<a class="submitdelete" title="Move this item to the Trash"
							   href="<?php echo wp_nonce_url(admin_url('post.php?post='.get_the_ID().'&action=trash'), 'trash-post_'.get_the_ID(), '_wpnonce');?>"><?php echo __('Delete', 'dynamic-ctas');?></a></span>
								</div>
							</td>
							<td class="menu_order column-menu_order" data-colname="Order"><?php echo get_post_field( 'menu_order', get_the_ID());?></td>
						</tr>
					<?php endwhile; wp_reset_query(); ?>
					</tbody>

				</table>
			</th>
		</tr>
		</thead>

	</table>
	<div id="ajax-response"></div>
	<br class="clear">
</div>